package client.renderer.entity;

import common.entity.projectile.EntityDynamite;
import common.init.ItemRegistry;
import common.item.ItemStack;

public class RenderDynamite extends RenderItemEntity<EntityDynamite> {
	public RenderDynamite(RenderManager renderManagerIn, RenderItem renderItemIn) {
		super(renderManagerIn, null, renderItemIn);
	}
	
	public ItemStack getStack(EntityDynamite entityIn)
    {
        return new ItemStack(ItemRegistry.byName("dynamite" + (entityIn.explosionSize <= 0 || entityIn.explosionSize >= 8 ? "" : "_" + entityIn.explosionSize)));
    }
}
